Bug 220862 - (channel-phpunit) Review Request: php-channel-phpunit - Add phpunit channel to pear
Review Request: php-channel-phpunit - Add phpunit channel to pear
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Package Reviews List
:
Depends On:
Blocks: FE-ACCEPT pear-PHPUnit3
  Show dependency treegraph
 
Reported: 2006-12-27 23:32 EST by Christopher Stone
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-12-29 13:00:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wtogami: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Christopher Stone 2006-12-27 23:32:10 EST
Spec URL: http://tkmame.retrogames.com/fedora-extras/php-channel-phpunit.spec
SRPM URL: http://tkmame.retrogames.com/fedora-extras/php-channel-phpunit-1.0-1.src.rpm

Description:
This package adds the phpunit channel which allows PEAR packages
from this channel to be installed.
Comment 1 Remi Collet 2006-12-28 13:44:42 EST
As i proposed this solution i think i could not review it ;)

Who own %{pear_phpdir}/.channels ?

This package probably should own it, or you could post a RFE against php-pear.
Comment 2 Christopher Stone 2006-12-28 13:51:35 EST
I think php-pear already owns it:

# rpm -qf /usr/share/pear/.channels/
php-pear-1.4.9-4
Comment 3 Remi Collet 2006-12-29 12:40:31 EST
After IRC meeting, all is OK.
Build fine, and allow the build of new php-pear-PHPUnit in mock.

REVIEW
* no source files
* package meets naming and packaging guidelines (no special guideline for channels).
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is correct.
* license field matches the actual license.
* license is open source-compatible (BSD).
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development).
* package installs properly
* rpmlint :
W: php-channel-phpunit no-documentation
* final provides are sane:
php-channel-phpunit = 1.0-1.fc6
* %check is not present; no test suite provide.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* scriptlets are OK (pear channel..)
* no documentation 

No version for the .xml file, but i think using 1.0 is OK.

APPROVED
Comment 4 Remi Collet 2006-12-29 12:46:13 EST
Oups...

You probably should provide a virtual Provide
php-channel(pear.phpunit.de)

I will propose this for the PHP Guidelines
Comment 5 Christopher Stone 2006-12-29 13:00:46 EST
- src rpm checked into cvs
- Virtual provides added in -2 release
- added entry to owners.list
- built on devel
- requested branch on fc5/6

Thanks for the review!
Comment 6 Christopher Stone 2006-12-29 13:18:27 EST
oops removed branch request for fc5/6, forgot that this is for fc7+ only.
Comment 7 Christopher Stone 2007-03-08 17:11:20 EST
New Package CVS Request
=======================
Package Name: php-channel-phpunit
Short Description: Add phpunit channel to pear
Owners: chris.stone@gmail.com
Branches: EP-4 EP-5
InitialCC: 
Comment 8 Christopher Stone 2007-03-08 17:15:37 EST
oops Branches should only be EP-5, not EP-4

New Package CVS Request
=======================
Package Name: php-channel-phpunit
Short Description: Add phpunit channel to pear
Owners: chris.stone@gmail.com
Branches: EP-5
InitialCC: 
Comment 9 Christopher Stone 2007-03-08 17:19:00 EST
Crap, removing fedora-cvs flag, this is only on devel and I don't think there is
an EP branch for devel at all.
Comment 10 Christopher Stone 2007-05-10 17:36:08 EDT
Okay enterprise linux stuff straightened out now :)

Package Change Request
======================
Package Name: php-channel-phpunit
New Branches: EL-5

Note You need to log in before you can comment on or make changes to this bug.